# H225_AliasAddress Class Reference

`#include <h225.h>`

Inheritance diagram for H225_AliasAddress:

List of all members.

## Public Types

enum | Choices { e_dialedDigits, e_h323_ID, e_url_ID, e_transportID, e_email_ID, e_partyNumber, e_mobileUIM, e_isupNumber }

## Public Member Functions

| H225_AliasAddress (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H225_TransportAddress & ()
| operator const H225_TransportAddress & () const
| operator H225_PartyNumber & ()
| operator const H225_PartyNumber & () const
| operator H225_MobileUIM & ()
| operator const H225_MobileUIM & () const
| operator H225_IsupNumber & ()
| operator const H225_IsupNumber & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H225_AliasAddress::Choices

Enumerator:

  e_dialedDigits |
  e_h323_ID |
  e_url_ID |
  e_transportID |
  e_email_ID |
  e_partyNumber |
  e_mobileUIM |
  e_isupNumber |

## Constructor & Destructor Documentation

H225_AliasAddress::H225_AliasAddress | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H225_AliasAddress::operator H225_TransportAddress & | ( |  | ) |

H225_AliasAddress::operator const H225_TransportAddress & | ( |  | ) | const

H225_AliasAddress::operator H225_PartyNumber & | ( |  | ) |

H225_AliasAddress::operator const H225_PartyNumber & | ( |  | ) | const

H225_AliasAddress::operator H225_MobileUIM & | ( |  | ) |

H225_AliasAddress::operator const H225_MobileUIM & | ( |  | ) | const

H225_AliasAddress::operator H225_IsupNumber & | ( |  | ) |

H225_AliasAddress::operator const H225_IsupNumber & | ( |  | ) | const

PBoolean H225_AliasAddress::CreateObject | ( |  | ) |

PObject* H225_AliasAddress::Clone | ( |  | ) | const

Reimplemented in H4501_AddressInformation.

The documentation for this class was generated from the following file:

- h225.h